<template>
  <tr class="first-row" @click="toggleVisibility">
    <td>{{component.name}}</td>
    <td>{{component.version}}</td>
    <td>{{component.service}}</td>
    <td>
      <input type="checkbox" :checked="component.ingress" />
    </td>
    <td>
      <div class="icons">
        <Icon :icon="isExpanded ? 'ooui:collapse' : 'ooui:expand'" class="icon" />
        <Icon icon="ooui:trash" class="icon" @click.stop="deleteRow" />
      </div>
    </td>
  </tr>
  <tr class="last-row" v-if="isExpanded">
    <td colspan=5>
      <PresetSelections :component="component.name" />
    </td>
  </tr>
</template>

<script setup>
import { ref } from "vue";
import { defineProps } from "vue";
import PresetSelections from "./PresetSelections.vue";

const props = defineProps({
  component: Object
});

const isExpanded = ref(false);

const toggleVisibility = () => {
  isExpanded.value = !isExpanded.value;
};

const deleteRow = () => {
  console.log('deleteRow');
};

</script>

<style scoped>
tr {
  height: 2em;
}
td {
  padding: 0.35em;
  background-color: #fff;
  padding-top: 0;
  padding-bottom: 0;
  white-space: nowrap;
}
.first-row td:last-child {
  text-align: center;
}
.last-row td {
  background-color: unset;
  padding-bottom: 1em;
}
.icons {
  display: flex;
  gap: 0.4em;
  justify-content: center;
}
</style>
